accrue.analysis.goals

## Class CodeGenerated

- java.lang.Object
- - polyglot.frontend.goals.AbstractGoal
  - - polyglot.frontend.goals.SourceFileGoal
    - - polyglot.frontend.goals.CodeGenerated
      - - accrue.analysis.goals.CodeGenerated

- All Implemented Interfaces:
    polyglot.frontend.goals.EndGoal, polyglot.frontend.goals.Goal

      public class CodeGenerated
      extends polyglot.frontend.goals.CodeGenerated

  Comment for `CompileGoal`
  Author:
    nystrom

- - ### Field Summary

    - ### Fields inherited from class polyglot.frontend.goals.AbstractGoal

      `corequisites, job, name, prerequisites, state`

    - ### Fields inherited from interface polyglot.frontend.goals.Goal

      `ATTEMPTED, REACHED, RUNNING, UNREACHABLE, UNREACHABLE_THIS_RUN, UNREACHED`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CodeGenerated(polyglot.frontend.Job job)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static polyglot.frontend.goals.Goal` | `create(polyglot.frontend.Scheduler scheduler, polyglot.frontend.Job job)`
    `polyglot.frontend.Pass` | `createPass(polyglot.frontend.ExtensionInfo extInfo)`

    - ### Methods inherited from class polyglot.frontend.goals.CodeGenerated

      `prerequisiteGoals`

    - ### Methods inherited from class polyglot.frontend.goals.AbstractGoal

      `addCorequisiteGoal, addPrerequisiteGoal, checkCycles, conflictsWith, corequisiteGoals, equals, hasBeenReached, hashCode, isReachable, job, name, setState, setUnreachable, setUnreachableThisRun, state, stateString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.frontend.goals.Goal

      `addCorequisiteGoal, addPrerequisiteGoal, conflictsWith, corequisiteGoals, hasBeenReached, isReachable, job, name, setState, setUnreachable, setUnreachableThisRun, state`

- - ### Constructor Detail

    - #### CodeGenerated

          protected CodeGenerated(polyglot.frontend.Job job)

      Parameters:
        `job` - The job to compile.

  - ### Method Detail

    - #### create

          public static polyglot.frontend.goals.Goal create(polyglot.frontend.Scheduler scheduler,
                                            polyglot.frontend.Job job)

    - #### createPass

          public polyglot.frontend.Pass createPass(polyglot.frontend.ExtensionInfo extInfo)

      Specified by:
        `createPass` in interface `polyglot.frontend.goals.Goal`
      Overrides:
        `createPass` in class `polyglot.frontend.goals.CodeGenerated`